Bug 865107 - error in debuginfo-install
error in debuginfo-install
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-10 16:27 EDT by Paul
Modified: 2013-08-01 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 04:09:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of Software Update Preferences (127.13 KB, image/png)
2012-10-10 16:28 EDT, Paul
no flags Details

  None (edit)
Description Paul 2012-10-10 16:27:45 EDT
Description of problem:
When I run "debuginfo-install glibc libgcc libstdc++", I get an error regarding 404 rpm.livna.org/mirrorlist-debug not found. I do have rpm.livna.org in my software updates, but do not have debug or source versions (see attached screenshot of what I have set). If I disable rpm.livna.org from this list, debuginfo-install works as expected

As I am not asking for an livna debugs, why is debuginfo-install trying to access it (and failing).

I did not have this problem in F16 (i686 and x86-64).

I am using Xfce for F16 and F17

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. debuginfo-install glibc libgcc libstdc++
Actual results:
Loaded plugins: presto, refresh-packagekit
enabling rpmfusion-nonfree-updates-debuginfo
enabling rpmfusion-nonfree-debuginfo
enabling livna-debuginfo
enabling rpmfusion-free-updates-debuginfo
enabling rpmfusion-free-debuginfo
Could not retrieve mirrorlist http://rpm.livna.org/mirrorlist-debug error was
14: HTTP Error 404 - Not Found : http://rpm.livna.org/mirrorlist-debug
Cannot find a valid baseurl for repo: livna-debuginfo

Expected results:
No problems

Additional info:

Note that it is also enabling all of the rpmfusion stuff, none of which I have set as part of my updates for software

Comment 1 Paul 2012-10-10 16:28:33 EDT
Created attachment 625149 [details]
screenshot of Software Update Preferences
Comment 2 Fedora End Of Life 2013-07-03 22:21:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:09:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.